<!doctype html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
	xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity3">

<head>
	<meta charset="UTF-8">
	<meta name="viewport"
		content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
	<meta http-equiv="X-UA-Compatible" content="ie=edge">
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"
		integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
	<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.11.2/css/all.css">
	<link rel="stylesheet" th:href="@{/css/style.css}" />
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
	<title>Insurance Management System</title>
	
</head>

<body class="banner" style="background-color:aqua;">
	<!-- Start navigation bar -->

	<nav class="navbar navbar-expand-lg navbar-dark bg-primary">
		<div class="container-fluid">
			<a class="navbar-brand" href="#">
				<img th:src="@{/images/logo.png}" width="auto" height="40" class="d-inline-block align-top" alt="" />
			</a>
			<button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
				aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
				<span class="navbar-toggler-icon"></span>
			</button>

			<div class="collapse navbar-collapse" id="navbarSupportedContent">
				<ul class="navbar-nav ml-auto text-uppercase">
					<li class="nav-item active">
						<a class="nav-link mt-2" th:href="@{/shop}" href="#">shop</a>
					</li>
					<li class="nav-item active">
						<a class="nav-link mt-2" sec:authorize="isAuthenticated()" th:href="@{/logout}"
							href="#">logout</a>
					</li>
					<li class="nav-item active">
						<a class="nav-link" th:href="@{/cart}" href="#">
							<img th:src="@{/images/cart.png}" width="auto" height="40" class="d-inline-block align-top"
								alt="" />
						</a>
					</li>
				</ul>

			</div>
		</div>
	</nav>

	<div id="main" class="container">
		<div class="col-sm-6 offset-md-3">
			<div class="mt-3">
				<h3>All Orders</h3>
				<div class="col-sm-9">
					<div class="card text-white bg-dark border-danger" style="margin-top: 20px"
						th:each="filterOrder : ${filterOrders.keySet()}">
						<button class="btn btn-primary" type="button" data-toggle="collapse" data-target="#filterOrder"
							aria-expanded="false" aria-controls="filterOrder">
							Your Order_ID is <span class="mr-2">[[${filterOrder}]]</span>
						</button>
						<div th:each="orders : ${filterOrders.get(filterOrder)}">
							<div class="collapse" id="filterOrder">
								<div class="card-body row no-gutters border-danger">
									<div class="col-sm-6 d-flex justify-content-center">
										<img class="" height="150px" width="150px"
											th:src="@{${'/policyImages/' + orders.policy.imageName}}"
											th:alt="${orders.policy.imageName}">
									</div>
									<div class="col-sm-6 d-flex justify-content-center">
										<div class="card-body">
											<a th:href="@{'/shop/viewpolicy/'+${orders.policy.id}}"
												th:title="${orders.policy.name}">
												<b>[[${orders.policy.name}]]</b>
											</a>
											<h4>₹ <span th:text="${orders.policy.price}"></span><span
													class="h6">X</span><span th:text="${orders.year}"></span></h4>
											<p th:text="${orders.policy.description}"></p>
										</div>
									</div>
								</div>
							</div>

						</div>
					</div>
				</div>
			</div>
		</div>

		<script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script>
		<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
		<script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js"
			integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo"
			crossorigin="anonymous"></script>
		<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js"
			integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6"
			crossorigin="anonymous"></script>
</body>

</html>